#! /usr/bin/gawk -f
# ######################################################################### #
#                                                                           #
# File:     LeMondeXML2Text.awk                                             #
# Authors:  Brigitte Bigi                                                   #
# Date:     april, 2007                                                     #
# Licence:  GPL                                                             #
# Brief:     Programme de filtrage des corpus du journal "Le Monde" de 2003 #
#            (corpus fournit par ELRA).                                     #
#                                                                           #
# ######################################################################### #


BEGIN{
	body  = 0
	topic = 0

	# Ecriture de l'entete xml
	print "\n<corpus>\n"
}


# -------------------------
# Debut ou fin d'un article
# -------------------------
/<Document /{
	print "<doc>"
	print "<descr>"
}

/<\/Document>/{
	print "</doc>"
}

# --------------------------------
# Indication du titre d'un article
# --------------------------------
/<Titre>/{
	gsub(/<Titre>/,"<title>\n")
	gsub(/<\/Titre>/,"\n</title>")
	gsub(/^[ ]+/,"")
	gsub(/\r/, "\n")
	print
	body = 0 
	next
}

# ----------------------------------
# Indication des thmes d'un article
# ----------------------------------

#/<Categories>/{
#	print "<keys>"
#	topic = 1
#	next
#}
#/<\/Categories>/{
#	print "</keys>"
#	topic = 0
#	next
#}

#/<Categorie>/{
#	sub(/<Categorie>/, "<k> ")
#	sub(/<\/Categorie>/, "</k>")
#	print
#	next
#}

# -----------------------------------------
# Indication de la date de l'article
# -----------------------------------------
/<Date / {

	# original : <Date Annee='2003' Mois='01' Jour='01'/>
	$0 = tolower($0)
	gsub(/annee/,"y")
	gsub(/mois/,"m")
	gsub(/jour/,"d")
	gsub(/'/,"\"")
	gsub(/^[ ]+/,"")
	gsub(/\r/, "\n")
	print
	body = 0 
	next
}

# -----------------------------------------
# Indication du dbut du corps d'un article
# -----------------------------------------
/<Texte>/ {
	body = 1
	print "</descr>"
	print "<text>"
	next
}

# ---------------------------------------
# Indication de fin du corps d'un article
# ---------------------------------------
/<\/Texte>/ {
	body = 0
	print "</text>"
	next
}


# ----------
# Autres cas
# ----------
{
	if (body == 1)
	{
		gsub(/<P>/, "\n<><>\n")
		gsub(/<\/P>/, "")
		gsub(/\r/, "\n")
		gsub (/<P\/>/, " ")
		print
	}
}


END{
	print "\n</corpus>"
}

