#! /bin/csh
# ###########################################################################
# Author  BIGI Brigitte et Sopheap SENG
# File    sample-kh.csh
# Language Khmer-utf8
#
# Input : HTML file
# Ouput : XML file
# ###########################################################################
if ($#argv != 1) then
        # Bip, print usage and exit
        printf '\a'
        echo "Usage: " `basename $0` " <html file>" > "/dev/stderr"
        exit 1
endif
# ###########################################################################


set example = `echo $1 | sed -e "s/\.html//"`


echo "1. From HTML file to semi-structured text"
cat $1 | $CTTK/bin/HTMLClean.csh | $CTTK/bin/Html2Text.awk > $example.1

echo "2. Convert the text to an XML (corpus.dtd)"
cat $example.1 | $CTTK/bin/Text2XML.awk > $example.2

echo "3. Split the original sentence by clusters"
cat $example.2 | $CTTK/bin/SplitOrig2WdKH.awk > $example.3

echo "4. Replace strange things in the elements"
cat $example.3 | $CTTK/bin/Replace.awk  -V $CTTK/dico/Replace-kh.dico -l FR > $example.4

echo "5. Elements are tokenized by Character, for Khmer"
cat $example.4 | $CTTK/bin/Tokenize.awk -V $CTTK/dico/LexiqueCluster-kh.vocab > $example.5

echo "6. Stick characters with - to make clusters"
#cat $example.5 | $CTTK/bin/Stick.awk -V $CTTK/dico/CompountWords-kh.vocab -a "-" -s 10 > $example.6
cat $example.5 > $example.6

echo "7. Convert number to Khmer words"
cat $example.6 | $CTTK/bin/Num2LetterKH.awk  > $example.7

echo "8. Remove the punctuation"
cat $example.7 | $CTTK/bin/Remove.awk -V $CTTK/dico/Punct.vocab -w > $example.xml


